using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TestSharpMapCF
{
    public partial class Form1 : Form
    {
        SharpMap.Map myMap;

        public Form1()
        {
            InitializeComponent();

            //The map data are deployed to the programs\testsharpmapcf directory. (english devices)

            myMap = new SharpMap.Map(new Size(this.Width,this.Height));
            myMap.MinimumZoom = 0.001;
            SharpMap.Layers.VectorLayer myLayer = new SharpMap.Layers.VectorLayer("Boundaries");
            myLayer.DataSource = new SharpMap.Data.Providers.ShapeFile("Program Files\\TestSharpMapCF\\france.SHP");
            myLayer.Style.Line.Width = 2;
            myLayer.Style.Line.Color = Color.Black;
            myLayer.Style.Fill = new SolidBrush(Color.LightGreen);
            myLayer.Style.EnableOutline = true;
            myLayer.MaxVisible = 40000;
            myMap.Layers.Add(myLayer);

          /*  myLayer = new SharpMap.Layers.VectorLayer("Rivers");
            myLayer.DataSource = new SharpMap.Data.Providers.ShapeFile("Program Files\\TestSharpMapCF\\rivers.SHP");
            myLayer.Style.Line.Width = 2;
            myLayer.Style.Line.Color = Color.Blue;
            myLayer.Style.EnableOutline = true;
            myLayer.MaxVisible = 40000;
            myMap.Layers.Add(myLayer);

            myLayer = new SharpMap.Layers.VectorLayer("Towns");
            myLayer.DataSource = new SharpMap.Data.Providers.ShapeFile("Program Files\\TestSharpMapCF\\EDPs Swaziland_point.shp");
            myLayer.Style.Line.Width = 2;
            myLayer.Style.Line.Color = Color.Black;
            myLayer.Style.EnableOutline = true;
            myLayer.MaxVisible = 40000;
            myMap.Layers.Add(myLayer);

            SharpMap.Layers.LabelLayer myLabelLayer = new SharpMap.Layers.LabelLayer("TownsLabels");
            myLabelLayer.DataSource = new SharpMap.Data.Providers.ShapeFile("Program Files\\TestSharpMapCF\\EDPs Swaziland_point.shp");
            myLabelLayer.LabelColumn = "DISTRICT";
            myLabelLayer.Style.HorizontalAlignment = SharpMap.Styles.LabelStyle.HorizontalAlignmentEnum.Center;
            myLabelLayer.Style.VerticalAlignment= SharpMap.Styles.LabelStyle.VerticalAlignmentEnum.Top;
            myLabelLayer.Style.Font = new Font("Arial", 10, FontStyle.Regular);


            myLabelLayer.MaxVisible = 40000;
            myMap.Layers.Add(myLabelLayer);*/

            myMap.ZoomToExtents();
            //myMap.Center = new SharpMap.Geometries.Point(0, 60); //Set center of map
           // myMap.Zoom = 2.0; //Set zoom level
            //myMap.Size = new System.Drawing.Size(300,200); //Set output size
            // 

            this.Refresh();
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Refresh();
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint(e);

            System.Drawing.Image imgMap = myMap.GetMap(); //Renders the map

            Graphics g = this.CreateGraphics();

            g.DrawImage(imgMap, 0, 0);

        }

        protected void Form1_Load(object sender, System.EventArgs e)
        {

            System.Drawing.Image imgMap = myMap.GetMap(); //Renders the map
            Graphics g = this.CreateGraphics();
            g.DrawImage(imgMap, 0, 0);
        }

        private void menuItem2_Click(object sender, EventArgs e)
        {
            myMap.Zoom = myMap.Zoom / 4;
        }

        private void menuItem3_Click(object sender, EventArgs e)
        {
            myMap.Zoom = myMap.Zoom * 4;
        }
    }
}